from system import views

from app.urls import router

router.register(r'system/department', views.DepartmentViewSet, basename='department')
router.register(r"system/user", views.UserViewSet, basename='user')
router.register(r'system/role', views.RoleViewSet, basename='role')
router.register(r'system/menu', views.MenuViewSet, basename='menu')
router.register(r'system/attachment', views.AttachmentViewSet, basename='attachment')
router.register(r'system/lookup', views.LookupViewSet, basename='lookup')
router.register(r'system/ext', views.ExtViewSet, basename='ext')

urlpatterns = [
]

urlpatterns += router.urls
