from rest_framework.response import Response


class ErrorResponse(Response):

    def __init__(self, data=None, msg='失败', code=400, status=None, template_name=None, headers=None, exception=False,
                 content_type=None):
        std_data = {"code": code, "data": data, "msg": msg}
        super().__init__(std_data, status, template_name, headers, exception, content_type)


class SuccessResponse(Response):

    def __init__(self, data=None, msg='成功', status=None, template_name=None, headers=None, exception=False,
                 content_type=None):
        std_data = {"code": 200, "data": data, "msg": msg}
        super().__init__(std_data, status, template_name, headers, exception, content_type)


class ErrorServResponse(Response):

    def __init__(self, data=None, msg='系统错误，请联系管理员！', status=None, template_name=None, headers=None,
                 exception=False, content_type=None):
        std_data = {"code": 500, "data": data, "msg": msg}
        super().__init__(std_data, status, template_name, headers, exception, content_type)
